Bug 1225276 - Notification increases volume to 100%
Summary: Notification increases volume to 100%
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1230309 1286775 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-27 02:29 UTC by Fabián Heredia
Modified: 2018-04-11 06:59 UTC (History)
31 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 14:16:21 UTC
Type: Bug


Attachments (Terms of Use)

Description Fabián Heredia 2015-05-27 02:29:23 UTC
Description of problem: When a sound notification comes up (Such as pidgin's) general volume is bumbped to 100%


Version-Release number of selected component (if applicable): Not sure if this is the right component


How reproducible: Not sure, but seems to potentially be general


Steps to Reproduce:
1. Set volume to anything different than 100%
2. Wait for or create a sound notification.(Pidgin por example)
3. Check volume level

Actual results: Volume increases


Expected results: Volume should not increase

Comment 1 Fabián Heredia 2015-05-28 02:59:18 UTC
Adding fpaste info https://paste.fedoraproject.org/226353/43278182/

Comment 2 Pablo Meniño 2015-06-12 20:08:09 UTC
Same issue with notifications, sound goes to 100%.

Comment 3 John Barbieri 2015-07-09 14:37:57 UTC
I am also seeing this issue.

Set sound to anything other than 100%, and when a pidgin notification is received, sound resets to 100%.

However, if I play youtube videos, or system notifications, sound volume stays where I expect it too.

Comment 4 John Barbieri 2015-07-09 14:38:31 UTC
I am sorry, I also forgot to mention, I am running rawhide, which I upgraded from F22.

Comment 5 John Barbieri 2015-07-09 14:42:10 UTC
(In reply to John Barbieri from comment #3)
> I am also seeing this issue.
> 
> Set sound to anything other than 100%, and when a pidgin notification is
> received, sound resets to 100%.
> 
> However, if I play youtube videos, or system notifications, sound volume
> stays where I expect it too.

Well wish I could delete my comments.

I don't know why I didnt think of this before, but I went into Pidgin's settings, and changed my sound method from Automatic to ALSA.

Now my volume doesn't reset everytime a sound plays. Hope this helps others!

Comment 6 Rex Dieter 2015-11-10 23:49:28 UTC
*** Bug 1230309 has been marked as a duplicate of this bug. ***

Comment 7 Matěj Cepl 2015-12-17 06:18:50 UTC
*** Bug 1286775 has been marked as a duplicate of this bug. ***

Comment 8 Frank Büttner 2015-12-17 09:20:10 UTC
My system was updated from F21 to F22.
Change the settings to ALSA/OSS/PulsAudio don't solve it.
At all settings the same result.

Comment 9 Sam Tuke 2016-01-07 17:16:27 UTC
Any known workarounds?

Bust a pair of headphones and was deafened 4 times thanks to bug today.

Comment 10 Chris Bredesen 2016-01-07 17:26:07 UTC
(In reply to Sam Tuke from comment #9)
> Any known workarounds?
> 
> Bust a pair of headphones and was deafened 4 times thanks to bug today.

https://bugzilla.redhat.com/show_bug.cgi?id=1230309#c1

Comment 11 Sam Tuke 2016-01-07 23:13:04 UTC
(In reply to Chris Bredesen from comment #10)
> (In reply to Sam Tuke from comment #9)
> > Any known workarounds?
> > 
> > Bust a pair of headphones and was deafened 4 times thanks to bug today.
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=1230309#c1

Thank you!

Comment 12 Honza Brázdil 2016-02-25 15:54:02 UTC
Can anything be done in regards to this issue? It damaged my hearing enough already.

Comment 13 James Olin Oden 2016-03-03 15:15:41 UTC
This is happening on Fedora 23 also.

Comment 14 D Jones 2016-04-20 22:14:45 UTC
I was able to get around this issue in Fedora 23 on Pidgin.

I went into Pidgin Preferences, under "Sounds", changed "Method" to "Command". Then "Sound command" I set as "mplayer %s".

This obviously requires mplayer to be installed. Another program might also be suitable.

This makes pidgin play sounds in mplayer, rather than directly through GStreamer. MPlayer doesn't change the volume.

Comment 15 Jan Synacek 2016-04-21 05:59:55 UTC
Try setting 'flat-volumes' to 'yes' in /etc/pulse/daemon.conf.

Comment 16 Chris Bredesen 2016-04-21 12:27:23 UTC
(In reply to Jan Synacek from comment #15)
> Try setting 'flat-volumes' to 'yes' in /etc/pulse/daemon.conf.

You need them set to 'no' as per https://bugzilla.redhat.com/show_bug.cgi?id=1230309#c1

That is what fixed this for me.

Comment 17 Jan Synacek 2016-04-22 10:03:53 UTC
Oops... Sure, I meant 'no'. Sorry for the confusion.

Comment 18 Frank Büttner 2016-04-22 19:04:27 UTC
This work's for me on F23.

Comment 19 Fedora End Of Life 2016-07-19 14:16:21 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.